<!---
The contents of this file are subject to the Mozilla Public License Version 1.1
(the "License"); you may not use this file except in compliance with the
License. You may obtain a copy of the License at http://www.mozilla.org/MPL/
 
Software distributed under the License is distributed on an "AS IS" basis,
WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
the specific language governing rights and limitations under the License.
 
The Original Code is comprised of the PT Photo Gallery directory
 
The Initial Developer of the Original Code is
PaperThin, Inc. Copyright(C) 2016.
All Rights Reserved.
 
By downloading, modifying, distributing, using and/or accessing any files
in this directory, you agree to the terms and conditions of the applicable
end user license agreement.
--->
<!---
/* *************************************************************** */
Author:
	PaperThin, Inc.
	M. Carroll
Name:
	photo_category_props.cfm
Summary:
	Properties file for the Photo Gallery app field to select the records
		from the Photo Category element.
History:
 	2012-07-11 - MFC - Created
	2016-02-25 - DRM - Resource detection exit
--->

<!--- if this module loads resources, do it here.. --->
<!---<cfscript>
	// none
</cfscript>--->

<!--- ... then exit if all we're doing is detecting required resources --->
<cfif Request.RenderState.RenderMode EQ "getResources">
  <cfexit>
</cfif>


<cfscript>
	// initialize some of the attributes variables
	typeid = attributes.typeid;
	prefix = attributes.prefix;
	formname = attributes.formname;
	currentValues = attributes.currentValues;

	// Setup the default values
	defaultValues = StructNew();
	defaultValues.defaultVal = "";
	defaultValues.displayField = "true";
	defaultValues.jsFieldID = "category";
	
	// This will override the current values with the default values.
	// In normal use this should not need to be modified.
	defaultValueArray = StructKeyArray(defaultValues);
	for(i=1;i<=ArrayLen(defaultValueArray);i++){
		// If there is a default value to exists in the current values
		//	AND the current value is an empty string
		//	OR the default value does not exist in the current values
		if( ( StructKeyExists(currentValues, defaultValueArray[i]) 
				AND (NOT LEN(currentValues[defaultValueArray[i]])) )
				OR (NOT StructKeyExists(currentValues, defaultValueArray[i])) ){
			currentValues[defaultValueArray[i]] = defaultValues[defaultValueArray[i]];
		}
	}
	
	// Get the Photo Category records
	photoCategoryData = application.ptPhotoGallery.photoDAO.getCategories();
</cfscript>

<cfoutput>
	<script language="JavaScript" type="text/javascript">
		// register the fields with global props object, this uses the name of the field
		fieldProperties['#typeid#'].paramFields = '#prefix#defaultVal,#prefix#displayField,#prefix#jsFieldID';
		// allows this field to support the orange icon (copy down to label from field name)
		//fieldProperties['#typeid#'].jsLabelUpdater = '#prefix#doLabel';
		// allows this field to have a common onSubmit Validator
		//fieldProperties['#typeid#'].jsValidator = '#prefix#doValidate';

		// handling the copy label function. **bug - This is not actually getting called, keeping it in here until future update fixes**
		/* function #prefix#doLabel(str){
			document.#formname#.#prefix#label.value = str;
		} */
	</script>
	<table width="400px;">
		<tr>
			<td class="cs_dlgLabelSmall">
				<label for="#prefix#defaultValue">Default Category:</label>
			</td>
			<td class="cs_dlgLabelSmall">
				<select id="#prefix#defaultVal" name="#prefix#defaultVal">
					<option value=""> - Select - </option>
					<cfloop array="#photoCategoryData#" index="currCat">
						<option value="#currCat.values.categoryID#" <cfif currentValues.defaultVal EQ currCat.values.categoryID>selected="selected"</cfif>>#currCat.values.title#</option>
					</cfloop>
				</select>
			</td>
		</tr>
		<tr>
			<td class="cs_dlgLabelSmall">
				<label for="#prefix#defaultValue">Field Display Type:</label>
			</td>
			<td class="cs_dlgLabelSmall">
				<input type="radio" id="#prefix#displayField" name="#prefix#displayField" <cfif currentValues.displayField EQ 'true'>checked="checked"</cfif> value="true">Visible<br />
				<input type="radio" id="#prefix#displayField" name="#prefix#displayField" <cfif currentValues.displayField EQ 'false'>checked="checked"</cfif> value="false">Hidden
			</td>
		</tr>
		<tr>
			<td class="cs_dlgLabelSmall">
				<label for="#prefix#defaultValue">JavaScript Field ID:</label>
			</td>
			<td class="cs_dlgLabelSmall">
				<input type="text" id="#prefix#jsFieldID" name="#prefix#jsFieldID" value="#currentValues.jsFieldID#">
			</td>
		</tr>
	</table>
</cfoutput>